# Class AmazonGiftCardAccountPayload

#### Hierarchy

- unknown
  - AmazonGiftCardAccountPayload

- Defined in src/protobuf/pb_pb.d.ts:4354
- Defined in src/protobuf/pb_pb.d.ts:4369

#####
Index

### Constructors

constructor

### Methods

getCountryCode
getEmailOrMobileNr
serializeBinary
setCountryCode
setEmailOrMobileNr
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new AmazonGiftCardAccountPayload(): AmazonGiftCardAccountPayload

- #### Returns AmazonGiftCardAccountPayload

  Inherited from jspb.Message.constructor

## Methods

### getCountryCode

- getCountryCode(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4358

### getEmailOrMobileNr

- getEmailOrMobileNr(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4355

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:4361

### setCountryCode

- setCountryCode(value: string): AmazonGiftCardAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns AmazonGiftCardAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4359

### setEmailOrMobileNr

- setEmailOrMobileNr(value: string): AmazonGiftCardAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns AmazonGiftCardAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4356

### toObject

- toObject(includeInstance?: boolean): AmazonGiftCardAccountPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns AmazonGiftCardAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4362

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): AmazonGiftCardAccountPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns AmazonGiftCardAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4365

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: AmazonGiftCardAccountPayload, reader: BinaryReader): AmazonGiftCardAccountPayload

- #### Parameters

  - ##### message: AmazonGiftCardAccountPayload

  - ##### reader: BinaryReader

  #### Returns AmazonGiftCardAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4366

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: AmazonGiftCardAccountPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: AmazonGiftCardAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:4364

### `Static` toObject

- toObject(includeInstance: boolean, msg: AmazonGiftCardAccountPayload): AmazonGiftCardAccountPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: AmazonGiftCardAccountPayload

  #### Returns AmazonGiftCardAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4363

Generated using TypeDoc